{% extends 'registration/login_base.html' %}
{% load widget_tweaks %}

{% block page_title %}گذرواژه جدید{% endblock page_title %}

{% block main_content %}

<form class="login100-form validate-form" method="POST">
	{% csrf_token %}
	<span class="login100-form-title p-b-26 myfont">
		گذرواژه جدید
	</span>
	<span class="login100-form-title p-b-48">
		<i class="fas fa-key"></i>
	</span>
	{% if validlink %}
		<div class="wrap-input100 validate-input myfont" data-validate="">
			<span class="btn-show-pass">
				<i class="zmdi zmdi-eye"></i>
			</span>
			{{ form.new_password1|add_class:"input100" }}
			<span class="focus-input100" data-placeholder="گذرواژه جدید"></span>
		</div>

		<div class="wrap-input100 validate-input myfont" data-validate="">
			<span class="btn-show-pass">
				<i class="zmdi zmdi-eye"></i>
			</span>
			{{ form.new_password2|add_class:"input100" }}
			<span class="focus-input100" data-placeholder="تکرار گذرواژه"></span>
		</div>
		
		{% if form.new_password1.errors %}
			<hr>
			<div class="errors">

				{% for error in form.new_password1.errors %}
				<span>{{ error }}</span>
				{% endfor %}

			</div>
			<hr>
		{% endif %}
		
		{% if form.new_password2.errors %}
			<hr>
			<div class="errors">

				{% for error in form.new_password2.errors %}
				<span>{{ error }}</span>
				{% endfor %}

			</div>
			<hr>
		{% endif %}

		{% if form.non_field_errors %}
		<hr>
		<div class="errors">

			{% for error in form.non_field_errors %}
			<span>{{ error }}</span>
			{% endfor %}

		</div>
		<hr>
		{% endif %}

		<div class="container-login100-form-btn">
			<div class="wrap-login100-form-btn">
				<div class="login100-form-bgbtn"></div>
				<button class="login100-form-btn myfont">
					بازیابی گذرواژه
				</button>
			</div>
		</div>
	{% else %}
		<h5 class="alert alert-warning myfont">
			لینک بازیابی گذرواژه نامعتبر است. احتمالا بخاطر اینکه قبلا استفاده شده، پس لطفا <a class="text-danger myfont" style="font-size: 20px; font-weight: bold;" href="{% url 'password_reset' %}">بازیابی گذرواژه</a> را دوباره انجام دهید.
		</h5>
	{% endif %}
</form>
{% endblock main_content %}